Bug 133219 - [GTK] Make it possible to build with FTL enabled
Summary: [GTK] Make it possible to build with FTL enabled
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks:
 
Reported: 2014-05-23 09:37 PDT by Carlos Garcia Campos
Modified: 2014-05-28 02:49 PDT (History)
8 users (show)

See Also:


Attachments
Patch (6.22 KB, patch)
2014-05-23 09:43 PDT, Carlos Garcia Campos
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-16 for mac-mountainlion-wk2 (653.53 KB, application/zip)
2014-05-23 12:52 PDT, Build Bot
no flags Details
Simpler patch (2.43 KB, patch)
2014-05-27 00:55 PDT, Carlos Garcia Campos
pnormand: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2014-05-23 09:37:05 PDT
Most of the work is done already in the cmake files, but current JSC requires llvm from svn.
Comment 1 Carlos Garcia Campos 2014-05-23 09:43:08 PDT
Created attachment 231968 [details]
Patch

It builds, but crashes a lot.

14588/14636 (failed 2284) ..........
Comment 2 Build Bot 2014-05-23 12:52:02 PDT
Comment on attachment 231968 [details]
Patch

Attachment 231968 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/4914850580922368

New failing tests:
media/W3C/video/networkState/networkState_during_loadstart.html
Comment 3 Build Bot 2014-05-23 12:52:05 PDT
Created attachment 231977 [details]
Archive of layout-test-results from webkit-ews-16 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-16  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 4 Carlos Garcia Campos 2014-05-27 00:55:06 PDT
Created attachment 232116 [details]
Simpler patch

Compile llvm with zlib and terminfo disabled to avoid making jsc depend on them
Comment 5 Carlos Garcia Campos 2014-05-28 02:49:57 PDT
Committed r169418: <http://trac.webkit.org/changeset/169418>